summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-core.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/dovecot-core.postrm')
-rw-r--r--debian/dovecot-core.postrm48
1 files changed, 48 insertions, 0 deletions
diff --git a/debian/dovecot-core.postrm b/debian/dovecot-core.postrm
new file mode 100644
index 0000000..87f6d12
--- /dev/null
+++ b/debian/dovecot-core.postrm
@@ -0,0 +1,48 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "purge" ] ; then
+ for conffile in $(ucfq --with-colons dovecot-core | cut -d: -f1); do
+ # we mimic dpkg as closely as possible, so we remove configuration
+ # files with dpkg backup extensions too:
+ ### Some of the following is from Tore Anderson:
+ for ext in '~' '%' .bak .dpkg-tmp .dpkg-new .dpkg-old .dpkg-dist .ucf-new .ucf-old .ucf-dist; do
+ rm -f "$conffile$ext"
+ done
+ # remove the configuration file itself
+ rm -f "$conffile"
+ # and finally clear it out from the ucf database
+ if which ucf >/dev/null; then
+ ucf --purge "$conffile"
+ fi
+ if which ucfr >/dev/null; then
+ ucfr --purge dovecot-core "$conffile"
+ fi
+ done
+
+ userdel dovecot || true;
+ userdel dovenull || true;
+
+ if [ -d /run/dovecot ]; then
+ rm -rf /run/dovecot
+ fi
+
+ # Remove dovecot.pem and dovecot.key only if they are symlinks; otherwise
+ # we might remove CA-issued certificates that are difficult and/or
+ # expensive to replace.
+ for file in /etc/dovecot/private/dovecot.pem /etc/dovecot/private/dovecot.key; do
+ if [ -h "$file" ]; then
+ rm -f "$file"
+ else
+ echo "${file} is not a symbolic link, skipping removal." >&2
+ fi
+ done
+fi
+
+if [ "$1" = "triggered" ]; then
+ if [ -x "/etc/init.d/dovecot" ]; then
+ invoke-rc.d dovecot start
+ fi
+fi
+
+#DEBHELPER#